> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/inventory-manager/get-inventory-by-identifier/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Get inventory by identifier GET https://example.itential.io/inventory_manager/v1/inventories/{identifier} Returns a single inventory document by ID or name. Reference: https://docs.itential.com/itential-cloud/api-reference/inventory-manager/get-inventory-by-identifier ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Request ### Path parameters - `identifier` (string or string, required) — Inventory ID or name ## Response ### 200 Single inventory document - `status` (string, optional) - `result` (object, optional) — The inventory document - `name` (string, required) — The name of the inventory - `version` (string, optional) - `groups` (list of string, optional) - `description` (string, optional) - `actions` (list of object, optional) - `name` (string, required) - `action_type` (string, required) - `action_config` (object, optional) - `action_parameters` (object, optional) - `created_at` (string, optional) - `updated_at` (string, optional) - `created_by` (string, optional) - `updated_by` (string, optional) - `tags` (list of string, optional) — Array of tag IDs associated with this inventory - `created_at` (string, optional) - `updated_at` (string, optional) - `created_by` (string, optional) - `updated_by` (string, optional) - `_id` (string, optional) — MongoDB document ID - `error` (string, optional) ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Response** ```json { "status": "Success", "result": { "name": "string", "version": "2024-01-15T09:30:00Z", "groups": [ "string" ], "description": "string", "actions": [ { "name": "string", "action_type": "string", "action_config": {}, "action_parameters": {}, "created_at": "2024-01-15T09:30:00Z", "updated_at": "2024-01-15T09:30:00Z", "created_by": "string", "updated_by": "string" } ], "tags": [ "string" ], "created_at": "2024-01-15T09:30:00Z", "updated_at": "2024-01-15T09:30:00Z", "created_by": "string", "updated_by": "string", "_id": "string" }, "error": "string" } ``` **SDK Code** ```python import requests url = "https://example.itential.io/inventory_manager/v1/inventories/string" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/inventory_manager/v1/inventories/string'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.itential.io/inventory_manager/v1/inventories/string" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/inventory_manager/v1/inventories/string") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://example.itential.io/inventory_manager/v1/inventories/string") .asString(); ``` ```php request('GET', 'https://example.itential.io/inventory_manager/v1/inventories/string'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/inventory_manager/v1/inventories/string"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/inventory_manager/v1/inventories/string")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```